import { ReactNode } from 'react';
import { ITableColumn } from '../PageTable/PageTableColumn';
export declare function PageDetailsFromColumns<T extends object>(props: {
    item: T | undefined;
    columns: ITableColumn<T>[];
    children?: ReactNode;
}): import("react/jsx-runtime").JSX.Element | null;
